AutoCAD Visual LISP / AutoLISP :: Change Color In Ribbon
Jul 2, 2012
In our 2010 version users used the "OPT Color Control" in a toolbar. When we went to 2012 we switched our users to the Ribbon. I am not able to move this Control to a ribbon panel. I can place in a toolbar and it works okay. Best I could find is "ACObjectColorCombo", Object Color Gallery drop down. Unfortunately I find that this drop down doesn't handle a selection set the way the 2010 toolbar did. I find that one cannot reliably pick a selection and use this to change objects to color bylayer. I can pick the object prior to using the OPT Color Control and they work fine. I pick the same objects and use the Combo box and sometime they are found and change other times I pick one or two and they work.
Is there a way to move this toolbar control to the ribbon, it will not let me drag and drop to a panel in the CUI.
Is there another solution to change object(s) color in a drop down from a ribbon panel? I have tried searching but am not finding other commands or control with selection drop down in the CUI. (Our choice is not to use the Properties dialog. Which, by the way, does work every time on the objects.)
View 1 Replies
ADVERTISEMENT
Nov 28, 2012
I am trying to customize Autocad 2012 ribbon tab. I can't seem to find how to mimic the small arrow that appears in several of the standard menus. For example, in the 3D Solids - Home Tab, the second panel from the left is "3D Solids Home - Mesh" It has a small arrow in the corner that opens up a preferences dialogue box.
How can I add that arrow to a custom panel with that little arrow so that I can add my command to it?
View 4 Replies
View Related
Aug 7, 2006
i am looking for a lisp routine which can change all lines in color yellow ( in different layers) to color 8.
View 9 Replies
View Related
Aug 24, 2012
I use the following lisp to control my window background colour,
;Setting window colour to crimson (uses OLE colour code system)...(vla-put-TextWinBackgrndColor(vla-get-display(vla-get-preferences(vlax-get-acad-object)))3937500)
However I would like to change the drafting tool tip background also using lisp, but I don’t know which vla-put-….. I need?
View 2 Replies
View Related
Sep 21, 2012
I was trying to do one that can change color and line weight using a number provided by user. What i want to do is to ask a number to the user, 5 for example, and then change the color to 5, and the lw to .5. I was starting with this:
(defun c:ccv (/ eco lun ob cc clw)
(setq eco (getvar "cmdecho"))
(setq lun (getvar "lunits"))
(setvar "lunits" 2)
[code]......
but is not working, it has a bug with the clw variable.
View 9 Replies
View Related
Aug 14, 2009
I'm looking for a lisp that will change all the layer colors of selected xref by clicking the xref and select color from the color table palette. I have a routine that would change the layer color of a selected entity other than xref.
;;Changes selected object layer to a true color
;;of chose from a dialog
box
(defun c:cvc (/ ent ent_data rgb str objlay)
(setq ent
(entsel)
)
[code]....
View 5 Replies
View Related
May 21, 2003
I am looking for a lisp routine to search the layer table to find a particular layer color and change color.
View 9 Replies
View Related
Sep 24, 2013
I want to change all pline in drawing to a specific object color (color 253). My code is not working & my brain is not functionning properly today...
(DEFUN C:TR() (SETQ ALL_PLINE_IN_DRAWING (ssget "_X" '((0 . "LWPOLYLINE")))number_of_pline_in_dwg (sslength ALL_PLINE_IN_DRAWING)entity (ssname ALL_PLINE_IN_DRAWING 1)data (entget entity)new_LAYER (list(cons 62 253))data (append new_LAYER data))(entmod data));END OF DEFUN
View 8 Replies
View Related
Oct 2, 2013
I don't give the right keywords with Google !?So from a classic selection (or ALL for ALL Blocks of the DWG) of entities,
we will keep ONLY blocks (Static or Dynamic)I am looking for a Lisp/VLisp routine to update all Color of Hatches inside Blocks when the Hatch Color is xxx If the color hatch is NOT XXX we don't update !
The problem : update all hatch from blocks where Color = 255 (or any other value)
---> other classic Color (1-256)
--> RGB Color 255,255,255 or any other
I don't know at all how to switch hatch entities from classic color to RGB color inside a Block..And dynamic block in Lisp/VLisp are far from my level 0.2 in Lisp ...
View 5 Replies
View Related
Mar 27, 2010
I want a lisp to change all object colours from bylayer to its color Example (if layer doors its color is blue the color of objects drawn in this layer will by blue not bylayer)
View 9 Replies
View Related
Jan 24, 2012
I have a library that has a primary folder with 11 subfolders. If the LISP can go through all the subfolders, that would be great. But, if it cannot, I can work with going into each subfolder and running the routine. There are over 12,000 files and I don't have the time to open each one and change the color.
Here's what I need the LISP to do:
open the drawing
select everything
change the color to "bylayer"
save
close
open next drawing in folder and repeat
Once it gets to the end of the folder it can stop.
View 9 Replies
View Related
Aug 1, 2013
I'm attempting to create an easier way to change layer colors of nested linework by selecting the linework and having the ACAD index color dialog box appear to select the replacement color.
defining the "ic" variable;
(defun c:clc (/ ent ent_data ic ent_lay) ;change layer color(setq ent(nentsel)) (setq ent_data(entget(car ent)))(setq ic ;index color(cdr(assoc 62(ACAD_COLORDLG))))(setq ent_lay(cdr(assoc 8 ent_data)))(command "-layer" "c" ic ent_lay ""))
View 3 Replies
View Related
Mar 29, 2013
I'm looking for a way to copy a text or a simple line, circle... ; after I copied it, the last entity change its color to green.
View 3 Replies
View Related
Aug 22, 2012
I have a Lisp that I have been working on with some folks in the office, and i feel like i am close, but i am not getting the cigar. The idea would be to have the lisp allow the user to select a nested x-ref entity, and change the color and linetype of the selected layer, similar to the old "LAP" command (I know it is a dinosaur, but I still miss it). I seem to be doing swimmingly, code I have quasi-plagiarized. It seems to crap out where i try to pass the selected linetype back to the layer. I get the nastygram "Command: ; error: no function definition: GETLINETYPE" right after selecting the linetype from the dialog.
Code below...
x(defun c:CX (/ Sel EntList DataList cnt Num ClrNum EntData)
(if (setq Sel (nentsel "
Select object to change layers color and linetype: "))
(progn
[Code]...
HP Elitebook Workstation
Windows 7
View 6 Replies
View Related
Jan 7, 2011
I have created a seperate CUI for use as an enterprise menu. My issue is when I set my main CUI as ACAD.cuix and my new CUI as enterprise, the custom ribbons created in the enterprise file does not show in the panel.
View 5 Replies
View Related
Sep 3, 2013
I have too many blocks with specific layers inside.
develope lisp can change all to layer 0 but keep color and linetype as it is.
I will use this as a part of script to change multiple block.
View 9 Replies
View Related
Sep 24, 2010
I'm working on a Ribbon and Icon design for our software and I'm having some issues getting my icons to appear the same way they do in AutoCAD. When I hover over an icon on my custom Ribbon there is a white box around the icon (see Ribbon.jpg), but when I hover over an AutoCAD icon the white box does not appear (see Ribbonii.jpg).
View 2 Replies
View Related
Jul 29, 2013
Creating a ribbon for Partial Customization files in the CUI, and I am trying to setup some buttons for existing polylines for example underground electric and overhead electric. When writing the macro what are some ideas for creating a polyline with the proper linetype for that particular object rather than changing the layer in layer properties dialogue.
View 9 Replies
View Related
Jan 16, 2012
Is it possible to have a custom grayed out icon in the ribbon when this icon has been used at least once? For example, the user clicks on this icon and it becomes gray to notify the user it has been used. The purpose is to load certain DLL with Netload only once.
View 2 Replies
View Related
Nov 7, 2011
I have tried everything even un-installing and re-installing. I have customized programs that have been working properly for months by many individuals. These include custom menus, toolbars and ribbon tabs. One day last week one of the ribbon tabs disappeared. The crazy thing is if I load the .cuix file as an Enterprise cui, everything is visible and works just fine. BUT, when I load it as a partial cuix file the ribbon tab does not show up. The custom menus come in, my custom toolbars work and show up just fine but the dag blasted ribbon tab won't show up.
Yes, it's marked as visible. I've done and redone the cui editor, customized my workspace again and again checking every piece of information. I need to have it loaded as a partial cui file as I am the author of these tools that hundreds of people in my company depend on.
View 6 Replies
View Related
Feb 18, 2013
How to add buttons and create my own ribbon in AutoCAD, but now I would like to be able to have buttons for two different schedules that I have created. While I can have a button start the schedule command it won't automatically pick the schedule that I want it to create.
View 1 Replies
View Related
May 14, 2013
I am unable to find the "Ribbon Combo Box - Workspace" to our 2013 MEP or ACA CUI. It is visible in vanilla AutoCAD 2013, but it isn't listed in the Command List (under Ribbon Control Elements). I am unable to transfer it from AutoCAD's cuix either. We typically have this control in our Quick Access Toolbar, but I am unable to create this same environment in the 2013 verticals.
I am unable to see it even using one of the default profiles, like "AutoCAD Architecture (US Imperial)".
View 2 Replies
View Related
Dec 3, 2012
I want to put the list of open drawings (like the window tab on the menubar has) onto the ribbon? Is this possible?
View 2 Replies
View Related
Feb 22, 2012
how to create a nested drop down list in a ribbon panel.
is it even possible. It must be, but I don’t know how Autodesk managed to do it in the C3D.cuix for the create ground data panel, point drop down.
second question, where is the icon for a drop down list saved.
looking at a C3D dropdown list icon there is no path to the icon, but when I create one it shows a path.
View 3 Replies
View Related
Aug 9, 2013
toggling ribbonclose and ribbon but that did not answer my question. I'm using AutoCAD 2014 and there is a setting to either toggle through all ribbon states or you can select one. You can cycle through:
Minimize to Tabs
Minimize to Panel Tiles
Minimize to Panel Buttons or
Cycle Through All
I want it to always minimze to tabs but when I close CAD and re-open it doesn't remember that selection and always cycles through all minimized states again.
I don't see any system variable or registry value that seems to save this. how I can make it remember?
View 2 Replies
View Related
Jun 14, 2013
Is there a way to add symbols to the text edit ribbon under the symbol icon
View 1 Replies
View Related
Dec 23, 2011
So I can run the following code from the command line with no problem:
(WRK-Insert_Standards_Block '("S:\AUTOCAD\_Common\Linetypes\CSW_Civil-Linetype"))
(WRK-Insert_Standards_Block '("S:\AUTOCAD\_Common\Linetypes\CSW_Survey-Linetype"))
(WRK-Layer_Insert_all "CSW-X-FM_Layers_List")
However when I put it into a macro (custom command to be used from the ribbon) it spits out the following in my command line:
(WRK-Insert_Standards_Block '("S:
View 2 Replies
View Related
May 21, 2013
I am updating my CUI ribbon for some of my customized buttons. I have changed some of the bitmap images that I have saved in my network folder for the network AutoCAD customization. However, I cannot get the Ribbon to update to show the new button images.
I have opened the CUI, browsed down to the partial CUI for our corporate configuration, then to the "Ribbon", then to the "Tabs", then to the individual section of the tab and clicked on it. Then I click on the specific button in the "Panel Preview" pane to get the properties for that button to show. Then at the bottom of the "Properties" panel, I click on the "Small Image" line to see the three dots that allow you to browse to where the .bmp is stored. I have not renamed the bitmaps, but just modified their color and the way they look. So I have to change the .bmp file to a different location in the small image properties, then change it back to the correct image name. It will update the appearance in the "Panel Preview", but will not update the actual ribbon. I click on "Apply" and "OK", and it still doesn't update the actual ribbon. I have tried closing and restarting AutoCAD after that. As a last resort, I rebooted to see if that would complete the change, but in vain.
I made sure that the network location for the bitmap files is listed in my Options > Support File Search Path (very near the top of the support file list), but that still isn't solving the problem.
How to get AutoCAD to completely forget the old image that is showing on the ribbon and repopulate it with the updated bitmap image?
View 1 Replies
View Related
May 16, 2013
I am trying to flip between Bylayer and color 150. If cecolor is bylayer set cecolor to 150 and if cecolor is 150 set cecolor to bylayer. It seems so simple but it's not working.
(defun c:22 ()
(setq cc (getvar "cecolor"))
(cond
((= cc "Bylayer") (setvar "cecolor" "150") )
((/= cc "Bylayer") (setvar "cecolor" "Bylayer") )
))
View 9 Replies
View Related
Aug 23, 2012
I am using acad 2010. I have a contour generator that uses 3d polylines to make contours. I get depressions or tops where I don't want them. I need a lisp routine that will allow me to adjust the z value only on any 3d polyline. I need to raise or lower the z value at any vertex and repeat if necessary. I don't need to prompt the user- I am the user.
View 2 Replies
View Related
Nov 8, 2012
In our Structural department, we use a layer called S-35-WALL-LB to denote a load-bearing wall, and what the guys typically do when they are on the sheet showing the floor above, is dbl-clk the VP to activate model space, open the Layer Manager and change the VP linetype to HIDDEN to show the afore-mentioned loadbearing walls as walls under.
way to accomplish this through a viewport...but instead of using the Layer Manager, use a lisp routine I can link to a toolbar button where all the user has to do is dbl-clk the VP, press the toolbar button, and either it will convert the default VP linetype (continuous) for S-35-WALL-LB automatically, or get the user to select an object on that layer and it changes the whole lot?
View 1 Replies
View Related